Bug 908168 - Review Request: openprops - A fork of java.util.Properties from OpenJDK
Summary: Review Request: openprops - A fork of java.util.Properties from OpenJDK
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-06 04:09 UTC by Patrick Huang
Modified: 2013-03-04 22:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-04 22:27:56 UTC
Type: ---
sochotni: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Patrick Huang 2013-02-06 04:09:30 UTC
Spec URL: https://www.dropbox.com/s/o4yjlbky6k9i7np/openprops.spec
SRPM URL: https://www.dropbox.com/s/5wjfyfpy5s158t7/openprops-0.6-1.fc17.src.rpm
Description: 
OpenProps is a tiny Java library which reads and writes .properties files using the same code as java.util.Properties from the OpenJDK, but enhanced so that it preserves the order of entries within the file, and it also preserves
comments in the file.  This means that a Properties editor or a file converter written to use OpenProps won't have to lose comments or mess up the order of entries. 

By using OpenJDK code, OpenProps should handle all the old corner-cases in 
exactly the same way Java does.  The handling of whitespace and comments is
tested by a number of JUnit tests.  But please let me know if you find a bug!

Note the following differences from java.util.Properties:

1. preserves comments and the order of entries in the file
2. storeToXml doesn't use the Sun DTD (or any DTD) because it adds attributes for comments.
3. equals() and hashCode() won't work the same way as with java.util.Properties, because they are no longer inherited from Hashtable.  All you get is identity equality/hashcode.

Also note that any header comment in the .properties file will be interpreted as
a comment attached to the first message. 
Fedora Account System Username: pahuang

Comment 1 Patrick Huang 2013-02-06 04:24:59 UTC
koji build info:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4929034

Comment 2 Patrick Huang 2013-02-06 04:28:07 UTC
f17 koji build info:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4929032

Comment 1 is f18 build

Comment 4 Patrick Huang 2013-02-06 05:54:43 UTC
updated spec file with newer release number after fixing the problem
koji build for f18:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4931993
koji build for f19:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4932010

SPEC url: https://www.dropbox.com/s/o4yjlbky6k9i7np/openprops.spec
SRPM URL: https://www.dropbox.com/s/mcpvr7s9ya4lgze/openprops-0.6-2.fc17.src.rpm

Comment 6 Stanislav Ochotnicky 2013-02-18 08:57:59 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Issues
------
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %doc.
- License file installed when any subpackage combination is installed.

Both binary packages have to include COPYING.txt from source tarball

- Spec use %global instead of %define.

Please prefer %global instead of %define there used to be some problems in the
past with incorrect %define use, so %global is preferred. That said, kudos for
coming up with mvnbuildRequires macro :-)


One more note: your files section could be simplified as such:
%files -f .mfiles
%doc README.txt COPYING.txt

I'd also change the summary to:
"An improved java.util.Properties from OpenJDK"

These should be fairly easy to fix, other than that package looks OK.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package requires other packages for directories it uses.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: openprops-0.6-3.fc19.noarch.rpm
          openprops-javadoc-0.6-3.fc19.noarch.rpm
openprops.noarch: W: spelling-error Summary(en_US) util -> til, until, u til
openprops.noarch: W: spelling-error %description -l en_US util -> til, until, u til
openprops.noarch: W: spelling-error %description -l en_US whitespace -> white space, white-space, whites pace
openprops.noarch: W: spelling-error %description -l en_US storeToXml -> storeroom
openprops.noarch: W: spelling-error %description -l en_US hashCode -> hash Code, hash-code, asphodel
openprops.noarch: W: spelling-error %description -l en_US hashcode -> hash code, hash-code, asphodel
openprops-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint openprops-javadoc openprops
openprops-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
openprops.noarch: W: spelling-error Summary(en_US) util -> til, until, u til
openprops.noarch: W: spelling-error %description -l en_US util -> til, until, u til
openprops.noarch: W: spelling-error %description -l en_US whitespace -> white space, white-space, whites pace
openprops.noarch: W: spelling-error %description -l en_US storeToXml -> storeroom
openprops.noarch: W: spelling-error %description -l en_US hashCode -> hash Code, hash-code, asphodel
openprops.noarch: W: spelling-error %description -l en_US hashcode -> hash code, hash-code, asphodel
2 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
openprops-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

openprops (rpmlib, GLIBC filtered):
    java
    jpackage-utils



Provides
--------
openprops-javadoc:
    openprops-javadoc

openprops:
    mvn(org.fedorahosted.openprops:openprops)
    openprops



MD5-sum check
-------------
https://github.com/zanata/openprops/archive/openprops-0.6.zip :
  CHECKSUM(SHA256) this package     : 4522ddb4247a1c0a5fc8aa2079c26fce884a46ebea676a13ad17d0df4e5b4794
  CHECKSUM(SHA256) upstream package : 4522ddb4247a1c0a5fc8aa2079c26fce884a46ebea676a13ad17d0df4e5b4794


Generated by fedora-review 0.4.0 (0dec099) last change: 2013-02-08
Buildroot used: fedora-raw-x86_64
Command line :/home/w0rm/work/projects/fedora-review/try-fedora-review -vb 908168

Comment 7 Patrick Huang 2013-02-18 23:37:46 UTC
Updated spec according to review:
SPEC url: http://fedorapeople.org/~pahuang/openprops.spec
SRPM url: http://fedorapeople.org/~pahuang/openprops-0.6-4.fc17.src.rpm

Comment 8 Stanislav Ochotnicky 2013-02-19 09:28:31 UTC
Package is good, APPROVED

Comment 9 Patrick Huang 2013-02-20 01:39:32 UTC
New Package SCM Request
=======================
Package Name: openprops
Short Description: An improved java.util.Properties from OpenJDK
Owners: pahuang seanf
Branches: f17 f18
InitialCC:

Comment 10 Dennis Gilmore 2013-02-20 12:52:46 UTC
git done

Comment 11 Fedora Update System 2013-02-21 01:53:51 UTC
openprops-0.6-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openprops-0.6-4.fc17

Comment 12 Fedora Update System 2013-02-21 01:54:04 UTC
openprops-0.6-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openprops-0.6-4.fc18

Comment 13 Fedora Update System 2013-02-23 01:00:08 UTC
openprops-0.6-4.fc17 has been pushed to the Fedora 17 testing repository.

Comment 14 Fedora Update System 2013-03-04 22:27:58 UTC
openprops-0.6-4.fc18 has been pushed to the Fedora 18 stable repository.

Comment 15 Fedora Update System 2013-03-04 22:35:59 UTC
openprops-0.6-4.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.